# AODataLoadBasic

Loads an AO database from a file.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataLoadBasic(PetscViewer viewer,AOData *aoout)

Collective on PetscViewer

### Input Parameters

viewer -the binary file containing the data

### Output Parameter

aoout -the new database

### Options Database Keys

| -ao_data_view | - Prints entire database at the conclusion of AODataLoadBasic()
| -ao_data_view_info | - Prints info about database at the conclusion of AODataLoadBasic()

### Keywords

AOData, create, load, basic

### See Also

AODataSegmentAdd(), AODataDestroy(), AODataCreateBasic(), AODataView()

Level:intermediate
Location:src/dm/ao/impls/basic/aodatabasic.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex1.c.html